---
title: Retrieve a domain certificate
url: https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/operations/getdomaincertificate/
image: https://developers.wpengine.com/og/docs/managed-hosting-platform/api/reference/operations/getdomaincertificate.png
---

# Retrieve a domain certificate

GET

/installs/{install_id}/domains/{domain_id}/ssl_certificate

Select code sample

```sh
curl --request GET \
  --url https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0/domains/e41fa98f-ea80-4654-b229-a9b765d0863a/ssl_certificate \
  --header 'Authorization: Basic <credentials>'
```

-

Returns the SSL certificate for the specified domain on an install, including its name, certificate details and criteria.

## Authorizations

- **[basicAuth](https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/#basicauth)**

## Parameters

### Path Parameters

**install_id**

required

string format: uuid

ID of install

#### Example

```
294deacc-d8b8-4005-82c4-0727ba8ddde0
```

**domain_id**

required

string format: uuid

ID of domain

#### Example

```
e41fa98f-ea80-4654-b229-a9b765d0863a
```

## Responses

### 200

Returns a `DomainCertificate` object.

Media typeapplication/json

object

**cert_name**

The name of the certificate

string

**cert_info**

object

**key**

The private key of the certificate

string

**cert**

The certificate

string

**certificate**

object

**id**

The id of the certificate

integer

**account**

The account name of the owner of the certificate

string

**auto_renew**

Whether auto renew is enabled (true) or disabled (false)

boolean

**auth_file**

The auth file for the certificate

string

**approver_email**

The approver email for the certificate

string

**common_name**

The common name for the domain

string

**cancel_time**

The time when the certificate was cancelled

string

**cert_source**

The source of the certificate

string

Allowed values: CERT_SOURCE_UNSPECIFIED THIRD_PARTY LETS_ENCRYPT SELF_SIGNED

**ordered_time**

The time when the certificate was ordered

string

**wildcard**

A boolean flag that indicates if the certificate is for a wildcard domain

boolean

**domains**

A list of domains for the certificate

Array\<string>

**status**

The current status of the certificate

string

Allowed values: SSL_STATE_UNSPECIFIED ENABLED DISABLED EXPIRED CANCELED REJECTED SUBMITTED

**approved_time**

The time the certificate was approved

string

**expires_time**

The time when the certificate expires

string

**serial_number**

The **Certificate Serial Number** as defined in the X.509 standard. Presented as a **hexadecimal string**.

string

**criteria**

The criteria of the certificate

string

#### Example

```json
{
  "cert_name": "customdomain.com",
  "certificate": {
    "account": "myaccountname",
    "common_name": "customdomain.com",
    "cert_source": "CERT_SOURCE_UNSPECIFIED",
    "domains": [
      "customdomain.com",
      "www.customdomain.com"
    ],
    "status": "SSL_STATE_UNSPECIFIED",
    "serial_number": "18F662FB207C19E7841E8F41E6771BEE"
  }
}
```

### 401

Authentication Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Bad Credentials"
}
```

### 403

Not authorized

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "You don't have permission to perform that action"
}
```

### 404

Not found

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Not Found"
}
```

### 429

Too many requests

### 500

Internal Server Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

#### Example

```json
{
  "message": "An unexpected error occurred, please try again in a few minutes"
}
```

### 502

An invalid response was received from an upstream server

### 503

Service unavailable

## Was this helpful?

Thanks for the feedback!

```json
{"@context":"https://schema.org","@graph":[{"@type":"WebSite","@id":"https://developers.wpengine.com/#website","name":"WP Engine Product Documentation","url":"https://developers.wpengine.com/","description":"Resources for developing, deploying, and scaling on WP Engine.","inLanguage":"en-US","keywords":["API documentation","product documentation","headless WordPress","managed WordPress hosting"],"publisher":{"@id":"https://wpengine.com/#organization"}}]}
```
